# QVM: Quaternions, Vectors, Matrices

### assign(mat,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_mat<B>::value &&
            //  mat_traits<A>::rows==mat_traits<B>::rows &&
            //  mat_traits<A>::cols==mat_traits<B>::cols
            template <class A,class B>
            A & assign( A & a, B const & b );
        }
    }

#### Effects:

Copies all elements of the matrix b to the matrix a.

#### Returns:

a.

See also: boost/qvm/mat_operations.hpp | convert_to(mat) | mat | set_identity(mat) | set_rotx(mat,scalar) | set_roty(mat,scalar) | set_rotz(mat,scalar) | set_zero(mat)